## ros-rolling-rti-connext-dds-cmake-module 0.17.0

=== CMakeLists.txt ===
# (c) 2020 Copyright, Real-Time Innovations, Inc. (RTI)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(rti_connext_dds_cmake_module)

find_package(ament_cmake REQUIRED)

include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/rti_build_helper.cmake)

rti_init_env()

rti_find_connextpro()

set(_env_hooks)

if(RTIConnextDDS_FOUND)
    message(STATUS "RTI Connext DDS Professional (${CONNEXTDDS_VERSION}, ${CONNEXTDDS_ARCH}): '${CONNEXTDDS_DIR}'")
    if(WIN32)
        # Export CONNEXTDDS_DIR in "native" format, to better support Windows.
        file(TO_NATIVE_PATH "${CONNEXTDDS_DIR}" CONNEXTDDS_DIR_NATIVE)
        list(APPEND _env_hooks env_hook/rti_connext_dds.bat.in)
    else()
        list(APPEND _env_hooks env_hook/rti_connext_dds.sh.in)
    endif()
else()
    message(STATUS "RTI Connext DDS Professional: NOT FOUND")
endif()

set(RTIME_COMPONENTS)
if(RMW_CONNEXT_ENABLE_SECURITY)
  list(APPEND RTIME_COMPONENTS "security_plugins")
endif()

rti_find_connextmicro(${RTIME_COMPONENTS})

if(NOT RTIMEHOME_FOUND)
    message(STATUS "RTI Connext DDS Micro: NOT FOUND")
else()
    if(NOT RTIConnextDDSMicro_FOUND)
        if(NOT RTIME_TARGET_NAME AND CONNEXTDDS_ARCH)
          set(RTIME_TARGET_NAME   "${CONNEXTDDS_ARCH}")
        endif()
        rti_build_connextmicro(${extra_components})
        message(STATUS "RTI Connext DDS Micro: '${RTIMEHOME}' (build)")
    else()
        message(STATUS "RTI Connext DDS Micro: '${RTIMEHOME}'")
    endif()
    if(WIN32)
        # Export RTIMEHOME in "native" format, to better support Windows.
        file(TO_NATIVE_PATH "${RTIMEHOME}" RTIMEHOME_NATIVE)
        list(APPEND _env_hooks env_hook/rti_connext_dds_micro.bat.in)
    else()
        list(APPEND _env_hooks env_hook/rti_connext_dds_micro.sh.in)
    endif()
endif()

if(_env_hooks)
    message(STATUS "generating environment hook: ${_env_hooks}")
    ament_environment_hooks(${_env_hooks})
else()
    message(STATUS "no environment hook generated")
endif()

if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
endif()

install(
    FILES cmake/rti_build_helper.cmake
    DESTINATION "share/${PROJECT_NAME}/cmake")

ament_package(
    CONFIG_EXTRAS_POST "${PROJECT_NAME}-extras.cmake.in"
)

## ros-rolling-rti-connext-dds-cmake-module 0.8.2

=== debian/changelog ===
ros-rolling-rti-connext-dds-cmake-module (0.8.2-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.8.1-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 19 Nov 2021 08:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.8.0-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 15 Sep 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.7.0-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 04 Jun 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.6.1-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.6.0-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Sun, 11 Apr 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.5.0-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.4.0-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.3.1-1focal) focal; urgency=high

  * Pass ``-Wl,--no-as-needed`` for system dependencies of Connext 5.3.1.
  * Set ``IMPORTED_NO_SONAME true`` for Connext 5.3.1 imported library target.

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 15 Mar 2021 07:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.3.0-1focal) focal; urgency=high

  * Add ``<buildtool_export_depend>`` for ``ament_cmake``.
  * Add ``<depend>`` for ``rti-connext-dds-5.3.1``

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 12 Mar 2021 08:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.2.1-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 11 Mar 2021 08:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.2.0-1focal) focal; urgency=high

  * Add dependency from rti-connext-dds-5.3.1.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 08:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.1.1-1focal) focal; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 08:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.1.0-1focal) focal; urgency=high

  * Initial release.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-rti-connext-dds-cmake-module
Section: misc
Priority: optional
Maintainer: Andrea Sorbini <asorbini@rti.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, rti-connext-dds-5.3.1, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rti-connext-dds-cmake-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake, rti-connext-dds-5.3.1, ros-rolling-ros-workspace
Description: Helper module to provide access to RTI products like Connext DDS Professional

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure: /tmp/rtienv.sh
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	. /tmp/rtienv.sh && \
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build: /tmp/rtienv.sh
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	. /tmp/rtienv.sh && \
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test: /tmp/rtienv.sh
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	. /tmp/rtienv.sh && \
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps: /tmp/rtienv.sh
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	. /tmp/rtienv.sh && \
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rti-connext-dds-cmake-module//opt/ros/rolling/lib/

override_dh_auto_install: /tmp/rtienv.sh
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	. /tmp/rtienv.sh && \
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

/tmp/rtienv.sh:
	if [ -f /opt/rti.com/rti_connext_dds-5.3.1/resource/scripts/rtisetenv_x64Linux3gcc5.4.0.bash ]; then \
	sed -e 's:\$${BASH_SOURCE\[0\]}:/opt/rti.com/rti_connext_dds-5.3.1/resource/scripts/rtisetenv_x64Linux3gcc5.4.0.bash:' \
	/opt/rti.com/rti_connext_dds-5.3.1/resource/scripts/rtisetenv_x64Linux3gcc5.4.0.bash \
	> /tmp/rtienv.sh; \
	else touch /tmp/rtienv.sh; fi

## ros-rolling-rti-connext-dds-cmake-module 0.17.0

=== debian/changelog ===
ros-rolling-rti-connext-dds-cmake-module (0.17.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.16.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.15.1-1jammy) jammy; urgency=high

  * Use unified approach for checking the existence of environment variables (#105 <https://github.com/ros2/rmw_connextdds/issues/105>)
  * Contributors: Christopher Wecht

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.15.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.14.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.13.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.12.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.12.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 03 May 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.11.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 26 Apr 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.11.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.10.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.9.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.8.3-1jammy) jammy; urgency=high

  * Update rti-connext-dds dependency to 6.0.1. (#71 <https://github.com/ros2/rmw_connextdds/issues/71>)
  * Contributors: Steven! Ragnarök

 -- Andrea Sorbini <asorbini@rti.com>  Thu, 10 Feb 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.8.2-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.8.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 19 Nov 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.8.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 15 Sep 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.7.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Fri, 04 Jun 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.6.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Mon, 26 Apr 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.6.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Sun, 11 Apr 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.5.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.4.0-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 25 Mar 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.3.1-1jammy) jammy; urgency=high

  * Pass ``-Wl,--no-as-needed`` for system dependencies of Connext 5.3.1.
  * Set ``IMPORTED_NO_SONAME true`` for Connext 5.3.1 imported library target.

 -- Andrea Sorbini <asorbini@rti.com>  Mon, 15 Mar 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.3.0-1jammy) jammy; urgency=high

  * Add ``<buildtool_export_depend>`` for ``ament_cmake``.
  * Add ``<depend>`` for ``rti-connext-dds-5.3.1``

 -- Andrea Sorbini <asorbini@rti.com>  Fri, 12 Mar 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.2.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Thu, 11 Mar 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.2.0-1jammy) jammy; urgency=high

  * Add dependency from rti-connext-dds-5.3.1.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.1.1-1jammy) jammy; urgency=high



 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 00:00:00 -0000

ros-rolling-rti-connext-dds-cmake-module (0.1.0-1jammy) jammy; urgency=high

  * Initial release.

 -- Andrea Sorbini <asorbini@rti.com>  Wed, 10 Mar 2021 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-rti-connext-dds-cmake-module
Section: misc
Priority: optional
Maintainer: Andrea Sorbini <asorbini@rti.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, rti-connext-dds-6.0.1, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rti-connext-dds-cmake-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake, rti-connext-dds-6.0.1, ros-rolling-ros-workspace
Description: Helper module to provide access to RTI products like Connext DDS Professional

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# Set CONNEXTDDS_DIR variable so this package can find its rti-connext-dds dependency.
export CONNEXTDDS_DIR=/opt/rti.com/rti_connext_dds-6.0.1

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rti-connext-dds-cmake-module//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
